package common

type ServiceType int

const (
	SERVICE_UNKNOWN     ServiceType = iota
	SERVICE_API_GATEWAY             = iota
	SERVICE_BACKEND
	SERVICE_NODE_MANAGER
	SERVICE_SCHEDULER
	SERVICE_WORKER
)

var ServiceTypeMap = map[ServiceType]string{
	SERVICE_UNKNOWN:      "unknown",
	SERVICE_API_GATEWAY:  "api_gateway",
	SERVICE_BACKEND:      "backend",
	SERVICE_NODE_MANAGER: "node_manager",
	SERVICE_SCHEDULER:    "scheduler",
	SERVICE_WORKER:       "worker",
}

func (s ServiceType) String() string {
	return ServiceTypeMap[s]
}
