package query

import "encoding/json"

type ServiceQuery interface {
	ModuleName() string
	List() ([]string, error)
	ListByPage(pageSize int, pageNum int) ([]string, int, error)
	ServiceInfo(instance string) (string, error)
	Count() int
}

type ServiceInfo interface {
	TimeStamp() int64
	Message() json.RawMessage
}

type ServiceInfoList []ServiceInfo

func (s ServiceInfoList) Len() int {
	return len(s)
}
func (s ServiceInfoList) Swap(i, j int) {
	s[i], s[j] = s[j], s[i]
}

func (s ServiceInfoList) Less(i, j int) bool {
	return s[i].TimeStamp() < s[j].TimeStamp()
}
