package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/odysseus/service-registry/registry"
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestQuery(t *testing.T) {
	q := NewQuery(registry.RedisConnParam{
		Addr:     "43.198.252.255:6379",
		Password: "iH0g2CqzjI6SfercGwsT",
		DbIndex:  0,
	})
	workerPage, _, err := q.Select(common.SERVICE_WORKER).ListByPage(1, 2)
	_ = workerPage
	nmlistInfo, err := q.Select(common.SERVICE_NODE_MANAGER).List()
	_ = nmlistInfo
	assert.Equal(t, err, nil)
	gatewayListInfo, err := q.Select(common.SERVICE_API_GATEWAY).List()
	_ = gatewayListInfo
	assert.Equal(t, err, nil)
	sclistInfo, err := q.Select(common.SERVICE_SCHEDULER).List()
	_ = sclistInfo
	assert.Equal(t, err, nil)
	workerListInfo, err := q.Select(common.SERVICE_WORKER).List()
	_ = workerListInfo
	assert.Equal(t, err, nil)
	backendInfo, err := q.Select(common.SERVICE_BACKEND).List()
	_ = backendInfo
	assert.Equal(t, err, nil)
	//t.Logf("nmlistInfo: %v, gatewayInfo: %v, sclistInfo: %v, workerListInfo: %v, backendInfo: %v", nmlistInfo, gatewayInfo, sclistInfo, workerListInfo, backendInfo)
}
